Name:           python-bentoml
Version:        1.3.19
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        BentoML: The easiest way to serve AI apps and models

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        Apache-2.0
URL:            https://bentoml.com
Source:         %{pypi_source bentoml}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'bentoml' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-bentoml
Summary:        %{summary}

%description -n python3-bentoml %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-bentoml all,aws,grpc,grpc-channelz,grpc-reflection,io,io-image,io-pandas,monitor-otlp,tracing,tracing-jaeger,tracing-otlp,tracing-zipkin,triton,unsloth


%prep
%autosetup -p1 -n bentoml-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,aws,grpc,grpc-channelz,grpc-reflection,io,io-image,io-pandas,monitor-otlp,tracing,tracing-jaeger,tracing-otlp,tracing-zipkin,triton,unsloth


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-bentoml -f %{pyproject_files}


%changelog
%autochangelog